Threads

Threads API insights

Updated: Nov 8, 2024
Copy for LLM
The Threads insights endpoints allow you to retrieve insights for Threads media objects and users. See Threads Insights API for more information.

GET /{threads-media-id}/insights

Retrieve insights for a Threads media object. See Media insights for more information.

Parameters

Name Description
access_token
string
Required.
Threads API user access token.
threads-media-id
numeric string
Required.
The path parameter of the Threads media identifier.
metric
string
Required.
A comma-separated list of the metrics to be returned. Must be at least one of the metric values.
Values: views, likes, replies, reposts, quotes, shares

GET /{threads-user-id}/threads_insights

Retrieve insights for a Threads user. See User insights for more information.

Parameters

Name Description
access_token
string
Required.
Threads API user access token.
threads-user-id
numeric string
Required.
The path parameter of the Threads user identifier.
since
datetime
Optional.
Used in conjunction with the until parameter to define a range. If you omit since and until, it defaults to a 2-day range: yesterday through today.
Format: A Unix timestamp (such as 1767225600) or a date (such as 2026-01-01)
until
datetime
Optional.
Used in conjunction with the since parameter to define a range. If you omit since and until, it defaults to a 2-day range: yesterday through today.
Format: A Unix timestamp (such as 1767225600) or a date (such as 2026-01-01)
metric
string
Required.
A comma-separated list of the metrics to be returned. Must be at least one of the metric values.
Values: views, likes, replies, reposts, quotes, clicks, followers_count, follower_demographics
Note: follower_demographics is not compatible with the since and until parameters.